unit MyUtils;

interface

uses
  Windows, SysUtils, Forms, ShellApi;

resourcestring
  MailAddress = 'leafel@mcn.ne.jp';
  WebAddress  = 'http://hp.vector.co.jp/authors/VA015850/';

procedure AboutBox;
procedure GoWeb;
procedure SendMail;

implementation

procedure AboutBox;
var
  BuffSize, Ignore: Cardinal;
  P: Pointer;
  FileDescription, LegalCopyright, ProductName, ProductVersion: PChar;
begin
  BuffSize := GetFileVersionInfoSize(PChar(Application.ExeName), Ignore);
  GetMem(P, BuffSize);
  GetFileVersionInfo(PChar(Application.ExeName), Ignore, BuffSize, P);

  VerQueryValue(P, PChar('\StringFileInfo\041103A4\FileDescription'), Pointer(FileDescription), Ignore);
  VerQueryValue(P, PChar('\StringFileInfo\041103A4\LegalCopyright'),  Pointer(LegalCopyright),  Ignore);
  VerQueryValue(P, PChar('\StringFileInfo\041103A4\ProductName'),  Pointer(ProductName),  Ignore);
  VerQueryValue(P, PChar('\StringFileInfo\041103A4\ProductVersion'),  Pointer(ProductVersion),  Ignore);


  Application.MessageBox(
    PChar(
      FileDescription + ' ' + ProductVersion + #13#10 +
      LegalCopyright                         + #13#10 +
      ''                                     + #13#10 +
      'mail: '    + MailAddress              + #13#10 +
      'webpage: ' + WebAddress
    ),
    PChar(ProductName),
    MB_OK
  );

  FreeMem(P);
end;

procedure GoWeb;
begin
  ShellExecute(0, nil, PChar(WebAddress), nil, nil, SW_SHOW);
end;

procedure SendMail;
begin
  ShellExecute(0, nil, PChar('mailto:' + MailAddress), nil, nil, SW_SHOW);
end;

end.
